@import "config";

.menu-btn {
  position: absolute;
  z-index: 3;
  right: 35px;
  top: 35px;
  cursor: pointer;
  @include easeOut;
  &:hover {
    .btn-line {
      background: $secondary-color;
      @include easeOut;
    }
  }

  .btn-line {
    width: 28px;
    height: 4px;
    margin: 0 0 5px 0;
    background: $text-primary;
    @include easeOut;
  }

  &.close {
    transform: rotate(180deg);
    .btn-line {
      &:nth-child(1) {
        transform: rotate(45deg) translate(6px, 6px);
      }
      &:nth-child(2) {
        display: none;
        visibility: hidden;
      }
      &:nth-child(3) {
        transform: rotate(-45deg);
      }
    }
  }
}

.menu {
  position: fixed;
  top: 0;
  width: 100%;
  opacity: 0.9;
  visibility: hidden;

  &.show {
    visibility: visible;
  }

  &-branding,
  &-nav {
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
    float: left;
    width: 50%;
    height: 100vh;
    overflow: hidden;
    @include easeOut;
  }
  &-nav {
    margin: 0;
    padding: 0;
    list-style: none;
    background: darken($primary-color, 5);
    transform: translate3d(0, -100%, 0);

    &.show {
      transform: translate3d(0, 0, 0);
    }
  }
  &-branding {
    transform: translate3d(0, 100%, 0);
    background: $primary-color;

    &.show {
      transform: translate3d(0, 0, 0);
    }

    .portrait {
      width: 250px;
      height: 250px;
      background: $portrait-image no-repeat;
      border-radius: 50%;
      border: solid 3px $secondary-color;
    }
  }
  .nav-item {
    cursor: pointer;
    transform: translate3d(600px, 0, 0);
    @include easeOut;

    &.show {
      transform: translate3d(0, 0, 0);
    }

    &.current > button {
      color: $secondary-color;
    }
  }

  .nav-link {
    display: inline-block;
    position: relative;
    font-size: 2rem;
    text-transform: uppercase;
    padding: 1rem 0;
    font-weight: 300;
    color: $text-primary;
    background: none;
    border: none;
    cursor: pointer;
    font-family: "Source Code Pro", monospace;
    @include easeOut;
  }
}
